/*
 * options.h: This file is part of the PAST project.
 *
 * PAST: the PoCC Abstract Syntax Tree
 *
 * Copyright (C) 2011 Louis-Noel Pouchet
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.
 *
 * The complete GNU Lesser General Public Licence Notice can be found
 * as the `COPYING.LESSER' file in the root directory.
 *
 * Author:
 * Louis-Noel Pouchet <pouchet@cse.ohio-state.edu>
 *
 */
#ifndef PAST_OPTIONS_H
# define PAST_OPTIONS_H

# include <stdio.h>
# include <past/past.h>


BEGIN_C_DECLS

struct s_past_options
{
  int	pprint_encapsulate_arrayref; /* Set to 1 to encapsulate all
				      * array references A[i]... in a
				      * function call
				      * _past_array_read/write_xd(A,i,...)
				      * with x corresponding to the
				      * dimensionality of the array.
				      */
  int	pprint_simdfunc_separation; /* Set to 1 to replace inner-most
				     * loop with non-unit stride (aka
				     * SIMD loops) by a function call,
				     * and put the corresponding
				     * function implementation in a
				     * separate file.
				     */
};
typedef struct s_past_options s_past_options_t;


extern
s_past_options_t* past_options_malloc ();

extern
void past_options_free (s_past_options_t* opts);


END_C_DECLS


#endif // PAST_OPTIONS_H
