/*
 * options.c: This file is part of the PAST project.
 *
 * PAST: the PoCC Abstract Syntax Tree
 *
 * Copyright (C) 2011 Louis-Noel Pouchet
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.
 *
 * The complete GNU Lesser General Public Licence Notice can be found
 * as the `COPYING.LESSER' file in the root directory.
 *
 * Author:
 * Louis-Noel Pouchet <pouchet@cse.ohio-state.edu>
 *
 */
#if HAVE_CONFIG_H
# include <past/config.h>
#endif

#include <past/common.h>
#include <past/past.h>
#include <past/options.h>

/**
 *
 *
 */
s_past_options_t* past_options_malloc ()
{
  s_past_options_t* ret = XMALLOC(s_past_options_t, 1);
  ret->pprint_encapsulate_arrayref = 0;
  ret->pprint_simdfunc_separation = 0;

  return ret;
}



/**
 *
 *
 */
void past_options_free (s_past_options_t* opts)
{
  if (opts)
    XFREE(opts);
}
